// POST /v1/totps/recovery_codes
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
};
client.TOTPs.RecoveryCodes(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/totps/recovery_codes
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/totps"
)
func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &totps.RecoveryCodesParams{
UserID: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
}
resp, err := client.TOTPs.RecoveryCodes(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}// POST /v1/totps/recovery_codes
package com.example;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.totps.RecoveryCodesRequest;
import com.stytch.java.consumer.StytchClient;
public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");
RecoveryCodesRequest params = new RecoveryCodesRequest();
params.setUserId("user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6");
Object result = StytchClient.getTOTPs().recoveryCodes(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/totps/recovery_codes
package com.example
import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.totps.RecoveryCodesRequest
fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchClient.totps.recoveryCodes(
RecoveryCodesRequest(
userId = "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}// POST /v1/totps/recovery_codes
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
};
client.totps.recoveryCodes(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->totps->recovery_codes([
'user_id' => 'user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6',
]);# POST /v1/totps/recovery_codes
from stytch import Client
client = Client(
project_id="${projectId}",
secret="${secret}",
)
resp = client.totps.recovery_codes(
user_id="user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
)
print(resp)# frozen_string_literal: true
# POST /v1/totps/recovery_codes
require 'stytch'
client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.totps.recovery_codes(
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6"
)
puts resp// POST /v1/totps/recovery_codes
use stytch::consumer::client::Client;
use stytch::consumer::totps::RecoveryCodesRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.totps.recovery_codes(
RecoveryCodesRequest{
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/totps/recovery_codes
curl --request POST \
--url https://test.stytch.com/v1/totps/recovery_codes \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-d '{
"user_id": "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6"
}'{
"request_id": "<string>",
"user_id": "<string>",
"totps": [
{
"totp_id": "<string>",
"verified": true,
"recovery_codes": [
"<string>"
]
}
],
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Get TOTP Recovery Codes
Retrieve the recovery codes for a TOTP instance tied to a User.
// POST /v1/totps/recovery_codes
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
};
client.TOTPs.RecoveryCodes(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/totps/recovery_codes
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/totps"
)
func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &totps.RecoveryCodesParams{
UserID: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
}
resp, err := client.TOTPs.RecoveryCodes(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}// POST /v1/totps/recovery_codes
package com.example;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.totps.RecoveryCodesRequest;
import com.stytch.java.consumer.StytchClient;
public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");
RecoveryCodesRequest params = new RecoveryCodesRequest();
params.setUserId("user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6");
Object result = StytchClient.getTOTPs().recoveryCodes(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/totps/recovery_codes
package com.example
import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.totps.RecoveryCodesRequest
fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchClient.totps.recoveryCodes(
RecoveryCodesRequest(
userId = "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}// POST /v1/totps/recovery_codes
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
};
client.totps.recoveryCodes(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->totps->recovery_codes([
'user_id' => 'user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6',
]);# POST /v1/totps/recovery_codes
from stytch import Client
client = Client(
project_id="${projectId}",
secret="${secret}",
)
resp = client.totps.recovery_codes(
user_id="user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
)
print(resp)# frozen_string_literal: true
# POST /v1/totps/recovery_codes
require 'stytch'
client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.totps.recovery_codes(
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6"
)
puts resp// POST /v1/totps/recovery_codes
use stytch::consumer::client::Client;
use stytch::consumer::totps::RecoveryCodesRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.totps.recovery_codes(
RecoveryCodesRequest{
user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/totps/recovery_codes
curl --request POST \
--url https://test.stytch.com/v1/totps/recovery_codes \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-d '{
"user_id": "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6"
}'{
"request_id": "<string>",
"user_id": "<string>",
"totps": [
{
"totp_id": "<string>",
"verified": true,
"recovery_codes": [
"<string>"
]
}
],
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
Request type
The user_id of an active user the TOTP registration should be tied to. You may use an external_id here if one is set for the user.
Response
Successful response
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.
The unique ID of the affected User.
An array containing a list of all TOTP instances (along with their recovery codes) for a given User in the Stytch API.
Show child attributes
Show child attributes
The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.